import request from '@/utils/request'

// 查询全部章节模板列表
export function listAllChaptertemplate(query) {
  return request({
    url: '/rc/chaptertemplate/listAll',
    method: 'get',
    params: query
  })
}

// 查询章节模板列表
export function listChaptertemplate(query) {
  return request({
    url: '/rc/chaptertemplate/list',
    method: 'get',
    params: query
  })
}

// 查询章节模板详细
export function getChaptertemplate(id) {
  return request({
    url: '/rc/chaptertemplate/' + id,
    method: 'get'
  })
}

// 新增章节模板
export function addChaptertemplate(data) {
  return request({
    url: '/rc/chaptertemplate',
    method: 'post',
    data: data
  })
}

// 修改章节模板
export function updateChaptertemplate(data) {
  return request({
    url: '/rc/chaptertemplate',
    method: 'put',
    data: data
  })
}

// 删除章节模板
export function delChaptertemplate(id) {
  return request({
    url: '/rc/chaptertemplate/' + id,
    method: 'delete'
  })
}
